cls
@echo off

GOTO MENU
:MENU
cls
ECHO.
ECHO.             TeamViewer 绿色版路径注册工具
ECHO.
ECHO.                    1. 32位系统注册
ECHO.                    2. 64位系统注册
ECHO.                    3. 退出
ECHO.
echo.             请输入您的选择：
set /p ID=
if "%id%"=="1" goto cmd1
if "%id%"=="2" goto cmd2
if "%id%"=="3" exit
pause
goto menu

:cmd1
reg add "HKLM\Software\TeamViewer\Version6" /v "" /d "TeamViewer" /f
reg add "HKLM\Software\TeamViewer\Version6" /v "InstallationDirectory" /d "%cd%" /f
reg add "HKLM\Software\TeamViewer\Version6" /v "Path" /d "%cd%" /f
reg add "HKLM\Software\TeamViewer\Version6" /v "Security_Application_Path" /d "%cd%\TeamViewer.exe" /f
reg add "HKLM\Software\TeamViewer\Version6" /v "SelectedLanguage" /d "no" /f
exit

:cmd2
reg add "HKLM\Software\Wow6432Node\TeamViewer\Version6" /v "" /d "TeamViewer" /f
reg add "HKLM\Software\Wow6432Node\TeamViewer\Version6" /v "InstallationDirectory" /d "%cd%" /f
reg add "HKLM\Software\Wow6432Node\TeamViewer\Version6" /v "Path" /d "%cd%" /f
reg add "HKLM\Software\Wow6432Node\TeamViewer\Version6" /v "Security_Application_Path" /d "%cd%\TeamViewer.exe" /f
reg add "HKLM\Software\Wow6432Node\TeamViewer\Version6" /v "SelectedLanguage" /d "no" /f
exit
